### Directly using cmake

Use cmake to create out-of-source builds, by creating a build folder parallel to source directory.

     $ cd ..
     $ mkdir slsDetectorPackage-build
     $ cd slsDetectorPackage-build
     $ cmake ../slsDetectorPackage  -DCMAKE_BUILD_TYPE=Debug -DUSE_HDF5=OFF
     $ make

Use the following as an example to compile statically and using specific hdf5 folder

     $ HDF5_ROOT=/opt/hdf5v1.10.0 cmake ../slsDetectorPackage
    -DCMAKE_BUILD_TYPE=Debug -DUSE_HDF5=ON

After compiling, the libraries and executables will be found at `bin` directory

     $ ls bin/
        gui_client  libSlsDetector.a  libSlsDetector.so  libSlsReceiver.a
    libSlsReceiver.so    sls_detector_acquire  sls_detector_get  slsDetectorGui
    sls_detector_help sls_detector_put  slsReceiver